Overflow in RF queue

Help with NXDN issues
Post Reply
W4DBG
Posts: 7
Joined: Wed Apr 11, 2018 1:40 pm

Overflow in RF queue

Post by W4DBG »

Has anyone experienced this error with NXDN? If so, what’s the fix? Basically my NXDN radio will transmit into the Jumbospot and it can be heard perfectly but when someone keys up I get the error below and my radio does nothing. The RX light on the radio does nothing. Just looking for a fix :)

You can see error here

https://drive.google.com/file/d/1tl2X8A ... p=drivesdk
User avatar
G8SEZ
Posts: 427
Joined: Fri Apr 13, 2018 8:26 pm

Re: Overflow in RF queue

Post by G8SEZ »

What firmware version do you have in the Jumbospot? And what version of Pi-Star?
--

Brian G8SEZ
W4DBG
Posts: 7
Joined: Wed Apr 11, 2018 1:40 pm

Re: Overflow in RF queue

Post by W4DBG »

Firmware: 1.3.3
Pi-Star: 3.4.17 **

** I tried Pi-Star 4.1.2 also
KE7FNS
Pi-Star Team
Posts: 1797
Joined: Wed Apr 17, 2019 11:11 pm

Re: Overflow in RF queue

Post by KE7FNS »

W4DBG wrote: Sun Aug 30, 2020 9:59 pm Firmware: 1.3.3
:shock:

Update the firmware.
If someones previous actions are any indication of their future actions, then I predict the deletion and removal of access will happen at any moment. 7-11-2020.

"07/13/20 This Website Has Been Taken Down" ... again :lol:
W4DBG
Posts: 7
Joined: Wed Apr 11, 2018 1:40 pm

Re: Overflow in RF queue

Post by W4DBG »

I have tried that too, unless I have been following the wrong instructions? If you have some instructions I would gladly try them.
KE7FNS
Pi-Star Team
Posts: 1797
Joined: Wed Apr 17, 2019 11:11 pm

Re: Overflow in RF queue

Post by KE7FNS »

W4DBG wrote: Sun Aug 30, 2020 11:12 pm I have tried that too, unless I have been following the wrong instructions? If you have some instructions I would gladly try them.
Were you able to successfully flash the firmware or did you get a "failed to init" error?

If you were able to flash the firmware, you NEED to update and upgrade your hotspot so it pulls in the latest files, then flash the modem.

Run update a few times, and run upgrade until it says you are on the latest version. That should get the latest firmware files and scripts to put you on 1.4.17.
If someones previous actions are any indication of their future actions, then I predict the deletion and removal of access will happen at any moment. 7-11-2020.

"07/13/20 This Website Has Been Taken Down" ... again :lol:
KN4YCD
Posts: 1
Joined: Sun Nov 10, 2019 7:49 pm

Re: Overflow in RF queue

Post by KN4YCD »

I'm getting this same error trying to implement NXDN mode on a pi3b+ with the HS_DUAL_HAT.

W4DBG - Doug, seeing this message in the log files today while chasing down my audio recieve issue. Wonder if this is the same thing?

My results before the flash:pistar-mmdvmhshatflash
This tool is used to flash your MMDVM_HS Hat Modem
[redacted for brevity]

Selected Modem: MMDVM_HS_Dual_Hat (DB9MAT, DF2ET & DO7EN) for Pi (GPIO)
Connected Hardware: MMDVM_HS_Dual_Hat-v1.3.7 20180522 dual ADF7021 FW by CA6JAU GitID #623b280

I have the dual hat, but it is not marked on mine which of the 3 dual hat gpio models (the txcd0) parameter. I'm not sure if 1.3.7 is the latest firmware or not either.

FWIW - Doug has been helping me debug - i'm transmitting just fine on NXDN via pi-star, but am not recieving any audio. All RAN's are 1 on the radio and the pi.
KE7FNS
Pi-Star Team
Posts: 1797
Joined: Wed Apr 17, 2019 11:11 pm

Re: Overflow in RF queue

Post by KE7FNS »

KN4YCD wrote: Tue Oct 13, 2020 12:56 am Connected Hardware: MMDVM_HS_Dual_Hat-v1.3.7 20180522 dual ADF7021 FW by CA6JAU GitID #623b280

I have the dual hat, but it is not marked on mine which of the 3 dual hat gpio models (the txcd0) parameter. I'm not sure if 1.3.7 is the latest firmware or not either.
The TCXO is retrieved from the firmware and is listed on the dashboard, its probably 14.7456 MHz. Even if you flash the wrong one it just won't operate correctly, but you'll still be able to reflash the hat, so you won't break anything.

1.3.7 is over 2 years old, it says it right in the info you posted 5/22/2018. You really need to update it to the latest stable version 1.4.17.

You need to update your system correctly so that it downloads the latest firmware files and scripts, I explained how to do it earlier.
If someones previous actions are any indication of their future actions, then I predict the deletion and removal of access will happen at any moment. 7-11-2020.

"07/13/20 This Website Has Been Taken Down" ... again :lol:
Post Reply